package org.objectweb.alarm.beans;

/**
 * Provide a ligth Debug.
 */
public class Debug {

    /**
     * True if only if use the debug.
     */
    private static boolean debug = false;

    /**
     * Log some debugging info, if debug is true.
     * @param msg the message to log.
     */
    public static void log(String msg) {
	if (debug) {
	    System.out.println(msg);
	}
    }

    /**
     * Log some errors.
     * @param msg the error message to log.
     */
    public static void logError(String msg) {
	System.err.println(msg);
    }   

}
