@Echo Off

Rem   ---------------------------------------------------------------------------
Rem  JOnAS: Java(TM) Open Application Server
Rem  Copyright (C) 1999 Bull S.A.
Rem  Contact: jonas-team@objectweb.org
Rem  
Rem  This library is free software; you can redistribute it and/or
Rem  modify it under the terms of the GNU Lesser General Public
Rem  License as published by the Free Software Foundation; either
Rem  version 2.1 of the License, or any later version.
Rem  
Rem  This library is distributed in the hope that it will be useful,
Rem  but WITHOUT ANY WARRANTY; without even the implied warranty of
Rem  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Rem  Lesser General Public License for more details.
Rem  
Rem  You should have received a copy of the GNU Lesser General Public
Rem  License along with this library; if not, write to the Free Software
Rem  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
Rem  USA
Rem  
Rem  Initial developer(s): Philippe Durieux
Rem   Contributor(s): ______________________________________.
Rem  
Rem   ---------------------------------------------------------------------------
Rem   $Id$
Rem   ---------------------------------------------------------------------------


if not "%OBJECTWEB_ORB%"=="" Goto SkipInitOrb
Rem Set the Objectweb ORB value with JEREMIE or RMI or DAVID
Set OBJECTWEB_ORB=RMI
:SkipInitOrb

Rem ----------
Rem JAVA setup
Rem ----------
Rem We try to use first the java JVM in JAVA_HOME and if not found, 
Rem we use the one found in the path.
Rem You can specify additional options to give to the Java JVM in the
Rem JAVA_OPTS environment variable.
Set JAVA=java
Set JAVAC=javac
if not "%JAVA_HOME%"=="" Set JAVA=%JAVA_HOME%\bin\java
if not "%JAVA_HOME%"=="" Set JAVAC=%JAVA_HOME%\bin\javac

Rem For JOnAS configuration files (jndi.properties, trace.properties, ...)
Rem must be after the CLASSPATH (if jndi.properties is redefined elsewhere)
Set CLASSPATH=%CLASSPATH%;%JONAS_ROOT%\config

Rem for backward compatibility : add XTRA_CLASSPATH
Set CLASSPATH=%CLASSPATH%;%XTRA_CLASSPATH%

