#! /bin/sh

# ---------------------------------------------------------------------------
# JOnAS: Java(TM) Open Application Server
# Copyright (C) 1999 Bull S.A.
# Contact: jonas-team@objectweb.org
# 
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
# 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
#
# Initial developer(s): Philippe Durieux
# Contributor(s): ______________________________________.
#
# ---------------------------------------------------------------------------
# $Id
# ---------------------------------------------------------------------------

# -----------------------------------------------------------------------
# Check JONAS_ROOT is set. In case of remote client, you should have a copy
# of the JONAS_ROOT directory on your host (in fact, just a subset)
# -----------------------------------------------------------------------
JONAS_LIB=$JONAS_ROOT/lib
if [ ! -d $JONAS_ROOT/lib ]
then
    echo "JONAS_ROOT must be set"
    exit 1
fi
. $JONAS_ROOT/bin/unix/setenv

JAVA_OPTS="$JAVA_OPTS -Dinstall.root=$JONAS_ROOT"

CLASSPATH=$CLASSPATH$SPS$JONAS_LIB/common/ow_jonas.jar
CLASSPATH=$CLASSPATH$SPS$JONAS_LIB/common/xml/xerces.jar

$JAVA $JAVA_OPTS org.objectweb.jonas.resource.RAXml2Prop $@
