@Echo Off

Rem ---------------------------------------------------------------------------
Rem  JOnAS: Java(TM) Open Application Server
Rem  Copyright (C) 1999 Bull S.A.
Rem  Contact: jonas-team@objectweb.org
Rem  
Rem  This library is free software; you can redistribute it and/or
Rem  modify it under the terms of the GNU Lesser General Public
Rem  License as published by the Free Software Foundation; either
Rem  version 2.1 of the License, or any later version.
Rem  
Rem  This library is distributed in the hope that it will be useful,
Rem  but WITHOUT ANY WARRANTY; without even the implied warranty of
Rem  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Rem  Lesser General Public License for more details.
Rem  
Rem  You should have received a copy of the GNU Lesser General Public
Rem  License along with this library; if not, write to the Free Software
Rem  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
Rem  USA
Rem
Rem ---------------------------------------------------------------------------
Rem   $Id$
Rem ---------------------------------------------------------------------------

Rem 
Rem  Script used for configuring an correct environment for calling Ant
Rem 
Rem  If you need to launch the JOnAS server via target batchtest with 
Rem  JMS collocated but working on another port that the default one
Rem  you must set Environment variable JMS_CONF_DIR to the location 
Rem  where must be found the a3server.xml
Rem 

Rem  Check environment variables:
if "%JONAS_ROOT%"=="" Goto SetRoot

Rem set the Environment Variables
call %JONAS_ROOT%\bin\nt\config_env.bat

if not "%JMS_CONF_DIR%"=="" Goto Callant
Set JMS_CONF_DIR=%JONAS_ROOT%\config

:Callant
ant -emacs -Dobjectweb_orb=%OBJECTWEB_ORB% -Djonas.root=%JONAS_ROOT% -Dclasspath=%CLASSPATH% -Djmsconfig.dir=%JMS_CONF_DIR% %1 %2 %3 %4 %5 %6 %7 %8 %9

Goto End

:SetRoot
@echo "JONAS_ROOT must be set"
Goto End

:End
