/**
 * Copyright (C) 2000
 */

package org.objectweb.jorm.facility.meminst.manager.basic.genclass.java.util;

import org.objectweb.jorm.api.PBinding;
import org.objectweb.jorm.api.PException;
import org.objectweb.jorm.api.PClassMapping;
import org.objectweb.jorm.facility.meminst.manager.basic.api.Manager;
import org.objectweb.jorm.naming.api.PExceptionNaming;
import org.objectweb.jorm.naming.api.PName;

/**
 * @author	P. Dchamboux
 */
public class CollectionElem
	extends org.objectweb.jorm.facility.meminst.genclass.java.util.CollectionElem {

	public Object getRefValue(Object conn) throws PException {
		if (!(element instanceof PName))
			return element;

		Object o = recurseResolve(conn, (PName) element);
		PBinding pb = null;
		if (o instanceof PBinding)
			pb = (PBinding) o;
		else if (o instanceof PName) {
			Manager manager = (Manager)
				((PClassMapping) ((PName) o).getPNamingContext()).getMIManager();
			pb = manager.getPBinding(conn, (PName) o);
		}
		else
			throw new PExceptionNaming("");
		return pb.getPAccessor().getMemoryInstance();
	}


	// OTHER METHODS //
	//---------------//

	protected Object recurseResolve(Object conn, PName pn)
		throws PException {
		Object res = pn.resolve(conn);
		if (res instanceof PBinding)
			return res;
		else if (res instanceof PName)
			return recurseResolve(conn, (PName) res);
		else if (res == null)
			return pn;
		else
			throw new PExceptionNaming(
				"The PNamingContext return an unknown object");
	}

}
