
package cmp2_0.creditcard;

import cmp2_0.customer.CustomerLocal;

import javax.ejb.EntityContext;
import javax.ejb.RemoveException;

public abstract class CreditCardBean implements javax.ejb.EntityBean {

    // persistent fields
    public abstract Integer getId(); //pk
    public abstract void setId(Integer id);
    public abstract String getNumber();
    public abstract void setNumber(String number);

    // relationship fields
//    public abstract CustomerLocal getCustomer();
//    public abstract void setCustomer(CustomerLocal cust);


    // IMPLEMENTATION OF THE EntityBean INTERFACE //
    //--------------------------------------------//

    public Integer ejbCreate(Integer id, String numb) throws javax.ejb.CreateException {
        System.out.println("CreditCardBean.ejbCreate('" + id + "', '" + numb + "')");
        setId(id);
        setNumber(numb);
        return null;
    }

    public void ejbPostCreate(Integer id, String numb) {
        System.out.println("CreditCardBean.ejbPostCreate('" + id + "', '" + numb + "')");
    }

    public void ejbActivate() {
        System.out.println("CreditCardBean.ejbActivate()");
        // Nothing to be done for this simple example.
    }

    public void ejbLoad() {
        System.out.println("CreditCardBean.ejbLoad()");
        // Nothing to be done for this simple example, in implicit persistance.
    }

    public void ejbPassivate() {
        System.out.println("CreditCardBean.ejbPassivate()");
        // Nothing to be done for this simple example.
    }

    public void ejbRemove() throws RemoveException {
        System.out.println("CreditCardBean.ejbRemove()");
        // Nothing to be done for this simple example, in implicit persistance.
    }

    public void ejbStore() {
        System.out.println("CreditCardBean.ejbStore()");
        // Nothing to be done for this simple example, in implicit persistance.
    }

    public void setEntityContext(EntityContext ctx) {
    }

    public void unsetEntityContext() {
    }

}
