/**
 * Copyright (C) 2002 
 */

package cmp2_0.customer;

import cmp2_0.creditcard.CreditCardLocal;

import java.rmi.RemoteException;

/**
 *
 * @author Sebastien Chassande-Barrioz
 */
public interface CustomerRemote extends javax.ejb.EJBObject {

    Name getName() throws RemoteException;
    void setName(Name name) throws RemoteException;
    boolean HasGoodCredit() throws RemoteException;
    void assignHasGoodCredit(boolean flag) throws RemoteException;
    Integer getCCId() throws RemoteException;
    String getCCNumber() throws RemoteException;
    Exception createCreditCard(Integer id, String number) throws RemoteException;
    Exception assignCreditCard(Integer id) throws RemoteException;
}
