#! /bin/sh

# run examples alltogether with only 1 jonas server

##### run the JOnAS Server
echo; echo "---> run the JOnAS Server"; echo
cd $JONAS_ROOT/examples/src
rm -f server0.audit order.txt
jonas start

##### run message receptor for JMS test
echo; echo "---> run message receptor for JMS test"; echo
xterm -title "JMS MsgReceptor" -sb  -geometry 80x10 -e jclient jms.MsgReceptor &

##### sb
echo; echo "---> sb"; echo
jclient sb.ClientOp

##### eb
echo; echo "---> eb"; echo
jclient eb.ClientAccount AccountImplHome
jclient eb.ClientAccount AccountExplHome

##### jms
echo; echo "---> jms"; echo
jclient jms.EjbCompClient

##### lb
echo; echo "---> lb"; echo
jclient lb.Client

##### samplemdb
echo; echo "---> samplemdb"; echo
jonas admin -a samplemdb.jar
jclient samplemdb.MdbClient
jonas admin -r samplemdb.jar

##### sampleappli
echo; echo "---> sampleappli"; echo
jclient sampleappli.SampleAppliClient

##### stop all servers
echo; echo "---> stop all servers"; echo
jonas stop
echo "End of Test."
echo "You can kill JMS MsgReceptor now."
