# ---------------------------------------------------------------------------
# JOnAS: Java(TM) Open Application Server
# Copyright (C) 1999 Bull S.A.
# Contact: jonas-team@objectweb.org
# 
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
# 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
#
# Initial developer(s): ____________________________________.
# Contributor(s): ______________________________________.
#
# ---------------------------------------------------------------------------
# $Id$
# ---------------------------------------------------------------------------

ifndef JDKVERSION
# major JDK version (1.3 or 1.4 or ...)
JDKVERSION = 1.3
endif

ifndef OBJECTWEB_ORB
# RMI | JEREMIE
OBJECTWEB_ORB = RMI
endif

IS_CYGWIN=no
ifeq ($(OSTYPE),cygwin32)
IS_CYGWIN=yes
endif
ifeq ($(OSTYPE),cygwin)
IS_CYGWIN=yes
endif


#----------------------------------------------------------------------------- 
# Platform-specific separator for paths.
#
ifeq ($(IS_CYGWIN),no)
    PS=:
else
    PS=\;
endif

#----------------------------------------------------------------------------- 
# Platform-specific separator for paths in shells.
#
ifeq ($(IS_CYGWIN),no)
    SPS=:
else
    SPS=\\\;
endif

all::

# --------------------------------------------------------------------------
# Configuration
# If your products are not installed in the standard location,
# uncomment these lines and set the correct paths.
# --------------------------------------------------------------------------
#JDKDIR = /usr/jdk1.2.2 | /usr/java1.2	

# only for InstantDB database	
#IDB_HOME = /usr/local/lib

# only for Oracle database			
#ORACLE_CLASSES = /usr/local/lib/classes12.zip	

# only for POSTGRESQL database
#POSTGRE_CLASSES = /usr/lib/pgsql/jdbc6.5-1.2.jar
#POSTGRE_CLASSES = /usr/lib/pgsql/jdbc7.0-1.2.jar

# only for InterBase database
#INTERBASE_CLASSES = /usr/interclient/interclient.jar


