/**
 * copyright area
 */
package org.objectweb.jonas_ejb.lib;

import org.objectweb.jorm.api.PException;
import org.objectweb.medor.api.MedorException;

/**
 * @author S.Chassande-Barrioz
 */
public class ExceptionHelper {

	public static void printException(Exception e) {
		if (e instanceof PException
			&& ((PException) e).getNestedException()!=null) {
			System.out.println(e.getMessage());
			printException(((PException) e).getNestedException());
		}
		else if (e instanceof MedorException
			&& ((MedorException) e).getNestedException()!=null) {
			System.out.println(e.getMessage());
			printException(((MedorException) e).getNestedException());
		}
		else
			e.printStackTrace();
	}
}
