@Echo Off
Rem  ---------------------------------------------------------------------------
Rem  JOnAS: Java(TM) Open Application Server
Rem  Copyright (C) 1999 Bull S.A.
Rem  Contact: jonas-team@objectweb.org
Rem  
Rem  This library is free software; you can redistribute it and/or
Rem  modify it under the terms of the GNU Lesser General Public
Rem  License as published by the Free Software Foundation; either
Rem  version 2.1 of the License, or any later version.
Rem  
Rem  This library is distributed in the hope that it will be useful,
Rem  but WITHOUT ANY WARRANTY; without even the implied warranty of
Rem  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Rem  Lesser General Public License for more details.
Rem  
Rem  You should have received a copy of the GNU Lesser General Public
Rem  License along with this library; if not, write to the Free Software
Rem  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
Rem  USA
Rem 
Rem  Initial developer(s): Philippe Durieux
Rem  Contributor(s): 
Rem  ---------------------------------------------------------------------------
Rem  $Id$
Rem  ---------------------------------------------------------------------------

Rem Usage:	junit [ dir-name [ suite-name [ test-name ] ] ]
Rem
Rem This script allows to run the jonas-test all the tests or a sub-set of the tests:
Rem - the tests of the given directory
Rem - the tests of the given suite of the given directory
Rem - only the given test of the given suite of the given directory
Rem

setlocal
set PACK=org.objectweb.jonas.jtests.clients
set DIR=
set SUITE=
set TEST=

:while
if [%1]==[] goto endargs
if [%DIR%]==[] set DIR=%1 | goto next
if [%SUITE%]==[] set SUITE=%1 | goto next
if [%TEST%]==[] set TEST="-n %1" | goto next
:next
shift
goto while
:endargs
if [%DIR%]==[] set DIR=suite
if [%SUITE%]==[] set SUITE=C_%DIR%

call jclient %PACK%.%DIR%.%SUITE% %TEST%
