/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

// SimpleHome.java

package org.objectweb.jonas.jtests.beans.ebasic;

import java.util.Enumeration;
import java.util.Collection;
import java.rmi.RemoteException;
import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.FinderException;

public interface SimpleHome extends EJBHome {
    public Simple create(String name, int info, int  num) throws RemoteException, CreateException;
    public Simple findByTestName(String name) throws RemoteException, FinderException;
    public Simple findByPrimaryKey(String  name) throws RemoteException, FinderException;
    public Enumeration findInfoForNum(int numtest) throws RemoteException, FinderException;
    public Collection  findInCollection() throws RemoteException, FinderException;
    public Enumeration findInfo_beetwen(int v1, int v2) throws FinderException, RemoteException;
    public Enumeration findEqualOne(int v) throws FinderException, RemoteException;
    public Enumeration findEqualTwo(int v1, int v2) throws FinderException, RemoteException;
}
