/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

// MRecordPK.java


package org.objectweb.jonas.jtests.beans.message;

/**
 * Primary key class definition for the bean @BNAME@
 */
public class MRecordPK implements java.io.Serializable {

    public String uuid;
    public String mdb;

    public MRecordPK(String uuid, String mdb) {
	this.uuid = uuid;
	this.mdb = mdb;
    }

    // This one is needed for GenIC
    public MRecordPK() {
    }

    public int hashCode() {
	return(1);
    }

    public boolean equals(Object other) {
	boolean isEqual = false;
	if (other instanceof MRecordPK) {
	    isEqual = (uuid.equals(((MRecordPK)other).uuid) &&  mdb.equals(((MRecordPK)other).mdb));
	}
	return(isEqual);
    }

}
