/**
 * Copyright (C) 2000 
 */

package org.objectweb.jorm.api;

import org.objectweb.jorm.api.PIndexedElem;

/**
 * @author	P. Dchamboux
 */
public interface PIndexedElemFactory {
	/**
	 * It creates an indexed element to be used by the binding for exchanging
	 * elements between the MI and the binding, using the paAdd and the
	 * paiterate methods.
	 * @return	The created PIndexedElem.
	 */
	PIndexedElem createPIndexedElem();
}
