/**
 * Copyright (C) 2000
 */

package org.objectweb.jorm.facility.meminst.genclass.api;

import org.objectweb.jorm.api.PException;
import org.objectweb.jorm.type.api.PExceptionTyping;

import java.io.Serializable;
import java.util.Date;

/**
 * @author	P. Dchamboux
 */
public interface UserIEValue {

	boolean getBooleanValue() throws PExceptionTyping;

	byte getByteValue() throws PExceptionTyping;

	short getShortValue() throws PExceptionTyping;

	int getIntValue() throws PExceptionTyping;

	long getLongValue() throws PExceptionTyping;

	float getFloatValue() throws PExceptionTyping;

	double getDoubleValue() throws PExceptionTyping;

	char getCharValue() throws PExceptionTyping;

	String getStringValue() throws PExceptionTyping;

	Date getDateValue() throws PExceptionTyping;

	Serializable getSerializedValue() throws PExceptionTyping;

	Object getRefValue(Object conn) throws PException;

}
