/**
 * Copyright (C) 2000 
 */

package org.objectweb.jorm.facility.meminst.manager.basic.api;

import org.objectweb.jorm.api.PBinding;
import org.objectweb.jorm.api.PException;
import org.objectweb.jorm.naming.api.PName;

/**
 * @author	Sebastien Chassande-Barrioz
 */
public interface Manager {
	/**
	 * This method permits to obtain a PBinding linked to a PAccessor and bound
	 * to the PName specified in parameter.
	 */
	PBinding getPBinding(Object conn, PName pn) throws PException;

	/**
	 * This method permits to obtain a PBinding linked to a PAccessor and bound
	 * to the PName specified in parameter.
	 * The additionnal boolean parameter permits to know if the object must be
	 * created if is not found in the cache (the binder). Indeed a mapper is not
	 * always able to know if the object exist in the persistent support. This
	 * method must be used in this case only. In other case the previous method
	 * without the boolean must be used.
	 */
	PBinding getPBinding(Object conn, PName pn, boolean create)
		throws PException;
}
