/**
 * Copyright (C) 2002
 */

package org.objectweb.jorm.verifier.lib.memory;

import org.objectweb.jorm.util.api.Loggable;
import org.objectweb.jorm.verifier.api.MappingVerifier;
import org.objectweb.jorm.metainfo.api.Manager;
import org.objectweb.util.monolog.api.Logger;
import org.objectweb.util.monolog.api.LoggerFactory;

/**
 *
 */
public class MemoryVerifier implements MappingVerifier, Loggable{

	protected Logger logger = null;
	protected LoggerFactory loggerFactory = null;

	/**
	 * Assigns the meta information manager created by the parser module to
	 * the current BlobVerifier object.
	 *
	 * @param mim   the meta information manager to use
	 */
	public void setMetaInfoManager(Manager mim) {
	}

	/**
	 * Verifies the meta information.
	 */
	public void verify() {
	}

	// IMPLEMENTATION OF THE Loggable INTERFACE //
	//------------------------------------------//

	public Logger getLogger() {
		return logger;
	}

	public LoggerFactory getLoggerFactory() {
		return loggerFactory;
	}

	public void setLogger(Logger l) {
		logger = l;
	}

	public void setLoggerFactory(LoggerFactory lf) {
		loggerFactory = lf;
		if (logger==null)
			loggerFactory.getLogger(getClass().getName());
	}
}
